This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 127337 - gcc 3.4.1 cannot compile httpd 2.0.50
gcc 3.4.1 cannot compile httpd 2.0.50
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
rawhide
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-06 15:13 EDT by Florian Effenberger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 16:43:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Effenberger 2004-07-06 15:13:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
gcc 3.4.1 cannot compile httpd 2.0.50 on Fedora Core devel.

Input for compiling:
===
./configure --enable-mods-shared=all --enable-ssl --enable-proxy
--enable-suexec
--with-suexec-caller=nobody --with-suexec-docroot=/home

make
===

Output of compiler:
===
Making all in srclib
make[1]: Entering directory `/root/httpd-2.0.50/srclib'
Making all in apr
make[2]: Entering directory `/root/httpd-2.0.50/srclib/apr'
Making all in strings
make[3]: Entering directory `/root/httpd-2.0.50/srclib/apr/strings'
make[4]: Entering directory `/root/httpd-2.0.50/srclib/apr/strings'
/bin/sh /root/httpd-2.0.50/srclib/apr/libtool --silent --mode=compile
gcc -g -O2
-pthread   -DHAVE_CONFIG_H -DLINUX=2 -D_REENTRANT -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE   -I../include
-I../include/arch/unix
 -c apr_cpystrn.c && touch apr_cpystrn.lo
make[4]: *** [apr_cpystrn.lo] Error 1
make[4]: Leaving directory `/root/httpd-2.0.50/srclib/apr/strings'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/root/httpd-2.0.50/srclib/apr/strings'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/httpd-2.0.50/srclib/apr'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/httpd-2.0.50/srclib'
make: *** [all-recursive] Error 1
===

Kernel version is 2.6.7-1.471.

Version-Release number of selected component (if applicable):
gcc-3.4.1-1

How reproducible:
Always

Steps to Reproduce:
1. See above
    

Additional info:
Comment 1 Richard Henderson 2004-10-04 19:50:35 EDT
Please attach the output of --save-temps so that someone can look at
this bug without having to track down 15 packages.
Comment 2 Florian Effenberger 2004-10-05 02:31:41 EDT
Sorry, already re-installed my machine (it's a testing machine), and 
currently without Red Hat, so I cannot make this test. :-(

Note You need to log in before you can comment on or make changes to this bug.